org.apache.nutch.indexer

## Class IndexWriterParams

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,String>
    - - org.apache.nutch.indexer.IndexWriterParams

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,String>

      public class IndexWriterParams
      extends HashMap<String,String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexWriterParams(Map<? extends String,? extends String> m)` Constructs a new `HashMap` with the same mappings as the specified `Map`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String name, String defaultValue)`
    `boolean` | `getBoolean(String name, boolean defaultValue)`
    `int` | `getInt(String name, int defaultValue)`
    `long` | `getLong(String name, long defaultValue)`
    `String[]` | `getStrings(String name)`
    `String[]` | `getStrings(String name, String... defaultValue)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### IndexWriterParams

          public IndexWriterParams(Map<? extends String,? extends String> m)

      Constructs a new `HashMap` with the same mappings as the specified `Map`. The `HashMap` is created with default load factor (0.75) and an initial capacity sufficient to hold the mappings in the specified `Map`.
      Parameters:
        `m` - the map whose mappings are to be placed in this map
      Throws:
        `NullPointerException` - if the specified map is null

  - ### Method Detail

    - #### get

          public String get(String name,
                            String defaultValue)

    - #### getBoolean

          public boolean getBoolean(String name,
                                    boolean defaultValue)

    - #### getLong

          public long getLong(String name,
                              long defaultValue)

    - #### getInt

          public int getInt(String name,
                            int defaultValue)

    - #### getStrings

          public String[] getStrings(String name)

    - #### getStrings

          public String[] getStrings(String name,
                                     String... defaultValue)

Copyright © 2021 The Apache Software Foundation